> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/package-management/package-management-api/faqs.md).

# FAQs

<details>

<summary>How many packages can be sent in a single payload?</summary>

You can send a maximum of 300 packages in a single payload.

</details>

<details>

<summary>What should be done if you receive a Hold label in API response?</summary>

If you receive a Hold label in the API response, please follow the Exception Handling process as outlined by ESW or contact ESW for assistance.

</details>

<details>

<summary>In which format is the shipping label returned?</summary>

The shipping label is returned as a base64-encoded string in ZPL format. Furthermore, the commercial invoices, sales invoices, and return labels are returned as base64-encoded strings that must be decoded to view as PDF.

</details>

<details>

<summary>Are there any conditions for some optional parameters to be mandatory in some cases while sending the API request?</summary>

Yes, the following parameters are mandatory only for Non-Checkout orders:

* consignee
* shippingInfo
* serviceLevel

</details>

<details>

<summary>What can be done using ESW Package API v4.0?</summary>

The ESW Package API v4.0 allows retailers to perform the following actions:

* Create new packages in the ESW system with all details needed for the shipping, clearance, and delivery of the order.
* Update existing information for a package, for example, delivery address (subject to conditions) or weight details.
* Retrieve information for a particular package, including a shipping label, returns label, and sales invoice documentation.
* Delete a package.

</details>

{% @developer-tip-widget/developer-tip-widget eyebrow="Developer Tip" title="Use Idempotency Keys" description="Prevent duplicate order creation by including an idempotency key in every POST request." code="POST /orders
Idempotency-Key: 12345-abcde" ctaLabel="Read the guide" ctaUrl="" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/package-management/package-management-api/faqs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
